# TODO:
# - tests fails, when build with servletapi built on th builders.
# - everything is ok, when build with servletapi built on my laptop. WTF???
#
# Conditional build:
%bcond_without	javadoc		# don't build javadoc

%include	/usr/lib/rpm/macros.java

%define		srcname commons-fileupload
Summary:	Commons FileUpload component for Java servlets
Summary(pl.UTF-8):	Komponent Commons FileUpload dla serwletów Javy
Name:		java-commons-fileupload
Version:	1.2.1
Release:	3
License:	Apache v2
Group:		Libraries/Java
Source0:	http://www.apache.org/dist/commons/fileupload/source/commons-fileupload-%{version}-src.tar.gz
# Source0-md5:	c2bdb9264aec564e3f4fbbdf4344a844
Patch0:		%{name}-noget.patch
URL:		http://commons.apache.org/fileupload/
BuildRequires:	ant-junit >= 1.5
BuildRequires:	java(portlet) = 1.0
BuildRequires:	java(servlet) >= 2.4
BuildRequires:	java-commons-io
BuildRequires:	java-junit >= 3.8.1
BuildRequires:	jdk
BuildRequires:	jpackage-utils
BuildRequires:	rpm-javaprov
BuildRequires:	rpmbuild(macros) >= 1.300
Requires:	java(portlet) = 1.0
Requires:	java(servlet) >= 2.4
Requires:	java-commons-io
Requires:	jpackage-utils
Provides:	jakarta-commons-fileupload
Obsoletes:	jakarta-commons-fileupload
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
The FileUpload component provides a simple yet flexible means of
adding support for multipart file upload functionality to servlets and
web applications.

%description -l pl.UTF-8
Komponent FileUpload udostępnia proste, ale elastyczne środki do
dodawania funkcjonalności uploadu wieloczęściowych plików do serwletów
i aplikacji WWW.

%package javadoc
Summary:	Commons FileUpload documentation
Summary(pl.UTF-8):	Dokumentacja do Commons FileUpload
Group:		Documentation
Requires:	jpackage-utils
Provides:	jakarta-commons-fileupload-javadoc
Obsoletes:	jakarta-commons-fileupload-doc
Obsoletes:	jakarta-commons-fileupload-javadoc

%description javadoc
Commons FileUpload documentation.

%description javadoc -l pl.UTF-8
Dokumentacja do Commons FileUpload.

%prep
%setup -q -n commons-fileupload-%{version}-src
%patch0 -p1

%build
required_jars="junit portlet-api-1.0 servlet-api commons-io"
CLASSPATH=$(build-classpath $required_jars)

%ant jar \
	-Dbuild.sysclasspath=first \
	-Dfinal.name=commons-fileupload-%{version}

%if %{with javadoc}
%ant javadoc \
	-Dfinal.name=commons-fileupload-%{version}
%endif

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT%{_javadir}

# install jars
cp -a target/commons-fileupload-%{version}.jar $RPM_BUILD_ROOT%{_javadir}
ln -s commons-fileupload-%{version}.jar $RPM_BUILD_ROOT%{_javadir}/commons-fileupload.jar

# javadoc
%if %{with javadoc}
install -d $RPM_BUILD_ROOT%{_javadocdir}/%{srcname}-%{version}
cp -a dist/docs/api/* $RPM_BUILD_ROOT%{_javadocdir}/%{srcname}-%{version}
ln -s %{srcname}-%{version} $RPM_BUILD_ROOT%{_javadocdir}/%{srcname} # ghost symlink
%endif

%clean
rm -rf $RPM_BUILD_ROOT

%post javadoc
ln -nfs %{srcname}-%{version} %{_javadocdir}/%{srcname}

%files
%defattr(644,root,root,755)
%{_javadir}/*.jar

%if %{with javadoc}
%files javadoc
%defattr(644,root,root,755)
%{_javadocdir}/%{srcname}-%{version}
%ghost %{_javadocdir}/%{srcname}
%endif
%changelog
* Tue Jan 23 2018 TLD Linux <feedback@tld-linux.org>
- For complete changelog see: http://git.tld-linux.org/?p=packages/java-commons-fileupload.git;a=log;h=master

* Sat Apr 24 2010 pawelz <pawelz@pld-linux.org> 2bc847f
- rel 3

* Sun Apr 18 2010 pawelz <pawelz@pld-linux.org> 672b1b0
- don't force specific jdk
- unify java APIs deps

* Fri Aug 21 2009 pawelz <pawelz@pld-linux.org> 8afa3e3
- rel 2

* Fri Aug 21 2009 pawelz <pawelz@pld-linux.org> 86dfd1b
- unified java deps and required jar names
- dropped export CLASSPATH. It is not needed since %ant macro passes CLASSPATH
  env variable to ant
- sorted BRs

* Mon May 18 2009 pawelz <pawelz@pld-linux.org> 1c7827e
- conditional JDK bconds
- drop -Dbuild.classpath (no longer needed)

* Sun Mar 15 2009 pawelz <pawelz@pld-linux.org> 0aa8c13
- cosmetics
- rel 1 (ufff, at last it builds and works)

* Sun Mar 15 2009 pawelz <pawelz@pld-linux.org> 180d55d
- do not package well known Apache 2 license

* Sun Mar 15 2009 pawelz <pawelz@pld-linux.org> 269f446
- fix javadoc generation

* Sun Mar 15 2009 pawelz <pawelz@pld-linux.org> 457d216
- javadoc hacks
- jdk deps
- java_sun bcond

* Sun Mar 15 2009 pawelz <pawelz@pld-linux.org> 24f34e6
- set build.sysclasspath=first property

* Sun Mar 15 2009 pawelz <pawelz@pld-linux.org> 269e1b4
- decreased rel as it does not build (see TODO, it is *STRANGE*)

* Sun Mar 15 2009 pawelz <pawelz@pld-linux.org> 541c04a
- BR: servletapi = 2.4
- BR: portletapi = 1.0
- sorted R

* Sun Mar 15 2009 pawelz <pawelz@pld-linux.org> 67c0bcd
- up to 1.2.1
- R: servletapi = 2.4
- R: portletapi = 1.0

* Sun Mar 15 2009 pawelz <pawelz@pld-linux.org> 5af6a8f
- rel 4

* Sat Mar 14 2009 pawelz <pawelz@pld-linux.org> a5c06e1
- Patch noget (do not download deps)
- dropped R: jre
- added R: java-commons-io, servletapi >=2.3
- correct dir for javadoc

* Sat Mar 14 2009 pawelz <pawelz@pld-linux.org> a2f7ba6
- do not download deps. (noget property does not work)

* Fri Jan 23 2009 pawelz <pawelz@pld-linux.org> 63bede2
- ghost symlink for javadoc

* Fri Jan 23 2009 pawelz <pawelz@pld-linux.org> 51011e5
- there is no such package "java-servletapi". BR servletapi provided by
  java-servletapi5.spec and jakarta-servletapi.spec

* Thu Dec 25 2008 pawelz <pawelz@pld-linux.org> 5595d17
- added Provides/Obsoletes old name

* Thu Dec 25 2008 pawelz <pawelz@pld-linux.org> daf7196
- it is no longer part of Jakarta project
- new URLs

